# PlotSphere3D

The PlotSphere3D function allows you to draw a sphere in the point cloud by defining its radius and offset.

Returns a Plot structure containing the settings of the plotted sphere.

Inputs

The PlotSphere3D function has the following syntax:

PlotSphere3D(PointCloud,Sphere3D,ExternalSphere,Name,Color,Transparency,ModelMode,LineDrawingThickness,Show)

Parameter | Description
PointCloud | Reference to a cell containing a point cloud. The default value is $A$0.
Sphere3D | Specifies the radius and location of the 3D sphere. It is offset from the PointCloud origin in the following format with the following arguments: {Radius, X, Y, Z}
Radius | The radius of the 3D sphere. The value range is 0.001 to 10000, and the default value is 10.
X | Offset of the center point of the 3D sphere on the X-axis from the PointCloud origin.
Y | Offset of the center point of the 3D sphere on the Y-axis from the PointCloud origin.
Z | Offset of the center point of the 3D sphere on the Z-axis from the PointCloud origin.
Note: This parameter is available only if External Sphere is set to 0.
External Sphere | Specifies a reference to a Sphere3D structure defined in another cell to be used for constructing the 3D structure. Set to 0 (OFF) to use the function's internal Sphere3D structure.
Name | The label of the plotted structure. The configured string appears next to the structure.
Color | Specifies the color of the wireframe or surface, depending on the selected Model Mode. Default: 0x32CD32, LimeGreen; max: 0xFFFFFF. Configure different colors by providing the hexadecimal color code in the formula bar or selecting a color from the color picker on the tool property sheet. Note: If you set the Model Mode parameter to Solid with Wireframe, then the wireframe will be black regardless of the value of this setting.
Transparency | Specifies the transparency of the drawn structure or its elements, depending on the selected Model Mode. The value range of the property is 0 – 100 (from no transparency to complete transparency), and the default value is 0 (meaning no transparency).
Model Mode | Specifies how the plotted sphere will be drawn in the point cloud: Points: This setting draws the meridian and longitudinal lines of the sphere in points. Each neighboring point in every line are located in the same distance from each other. Wireframe: The plotted sphere will be drawn as a wireframe only (showing its meridian and longitudinal lines). This is the default setting. Solid: The plotted sphere will be drawn with its surface being completely solid. Solid with Wireframe: The plotted sphere will be drawn with a solid surface, with its wireframe (that is, meridian and longitudinal lines) toned in black color.
Line Drawing Thickness | Specifies the thickness of the wireframe lines. This setting is available only if the Model Mode parameter is set to Wireframe or Solid with Wireframe, and its default value is 5 with a range between 1 to 10.
Show | Selects the display mode.
0 (Unchecked) = Off | The structure will be hidden, except when the cell containing the function is highlighted in the spreadsheet.
1 (Checked) = On (default) | The structure will be displayed at all times.

Outputs

Returns | A Plot structure that allows you to modify the plotted Sphere3D structure.
Results | When inserted into a cell, a ❒Plot structure is created, containing the settings of the sphere drawn in the point cloud when the job is Online.